Subject: bug#7517: 24.0.50; repeated crash under Mac OS X

From: emacs user <[email-masked]>
Date: Sat, 18 Dec 2010 01:07:13 +0200

thanks for looking into this.

the exact same crash occurs also in 23.2.

when I compile with only -g and start vm, emacs crashes even before
completing the processing of my inbox.  here is the bt, although I
have a feeling it is even less useful than previously.  again, I'd be
happy to provide additional information if you could guide me through
the needed steps as you did just now with the cflags="-g".  E

(gdb) bt full
#0   in malloc_gdb_po_unsafe ()
No symbol table info available.

Lisp Backtrace:
"byte-code"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 ()
"vm-read-attributes"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 ()
"vm-assimilate-new-messages"Unsafe to call functions on thread 1:
function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 ()
"byte-code"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 ()
"vm"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 ()
"vm-my-open-folder-RMAIL"Unsafe to call functions on thread 1:
function: malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 ()
"call-interactively"Unsafe to call functions on thread 1: function:
malloc_gdb_po_unsafe on stack
warning: check_safe_call: could not restore current frame

warning: Canceling operation - malloc lock could be held on current thread.
 ()
(gdb)

On Fri, Dec 17, 2010 at 1:47 PM, Chong Yidong <> wrote:
> emacs user <> writes:
>
>> This crash occurs when I use vm to read my mail, and attempt to edit
>> an email written in non-English characters.  I cannot provide a simple
>> reproducible example, but it is very easy for me to reproduce this
>> with my setup and mail files.  Am happy to try patches etc.  Backtrace
>> attached.
>
> The backtrace doesn't tell much.  Please try couple of things to pin
> down the problem:
>
> 1. Compile without optimizations (CFLAGS="-g" ./configure; make) and
>   post another backtrace.
>
> 2. Bisect to find the checkin that introduced this problem.
>
> Thanks.
>